Bug 137188 - 4g/4g patch breaks software suspend
Summary: 4g/4g patch breaks software suspend
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-26 16:19 UTC by Sammy
Modified: 2015-01-04 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 21:26:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sammy 2004-10-26 16:19:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux; X11; en_US) (KHTML, like Gecko)

Description of problem:
I have installed Fedora Core Rawhide (starting from Test 3) onto my IBM
ThinkPad T42 system. I could get almost everything to work including
ACPI. However, enabling  software suspend breaks kernel compilation
and the source is the 4g4g patch. Removing this patch ofcourse affects
other patches and so on. Is there a solution to this problem for notebook
users? Or, is it possible to have a self-contained 4g4g patch that can be
easily removed?
Thanks

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.643

How reproducible:
Always

Steps to Reproduce:
1.install kernel source rpm
2.enable software config under acpi
3.try to rebuild
    

Additional info:

Comment 1 Dave Jones 2004-10-29 21:26:27 UTC
you can just disable the CONFIG_X86_4G config option if you're rebuilding.
Neither self-built kernels, nor swsusp are supported, so this is unlikely
to change anytime soon.



Note You need to log in before you can comment on or make changes to this bug.